roasOS
API referenceVoices

Make a speech sample in a new voice from a brief

POST
/v1/voices/designs

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/voices/designs" \  -H "Content-Type: application/json" \  -d '{    "brief": "string"  }'
{  "data": {    "property1": null,    "property2": null  }}